Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.utils
Interface LDAPServerMBean

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface LDAPServerMBean
extends weblogic.management.commo.StandardInterface

The LDAPServerMBean interface defines methods used to get/set the configuration attributes that are required to communicate with an external LDAP server.

@author Copyright (c) 2003 BEA Systems, Inc. All Rights Reserved.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCacheSize()` The size of the cache in K.
`int` | `getCacheTTL()` The time-to-live (TTL) of the cache in seconds.
`int` | `getConnectionRetryLimit()` Number of Times Server should try to establish a connection if LDAP Throws Exception while creating a LDAP Connection.
`int` | `getConnectTimeout()` The maximum number of seconds to wait for the LDAP connection to be established.
`java.lang.String` | `getCredential()` The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`java.lang.String` | `getHost()` The host name or IP address of the LDAP server.
`int` | `getParallelConnectDelay()` The number of seconds to delay when making concurrent attempts to connect to multiple servers.
`int` | `getPort()` The port number on which the LDAP server is listening.
`java.lang.String` | `getPrincipal()` The Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.
`int` | `getResultsTimeLimit()` The maximum number of milliseconds to wait for results before timing out.
`boolean` | `isBindAnonymouslyOnReferrals()` The option to enable anonymous binding when following referrals within the LDAP directory.
`boolean` | `isCacheEnabled()` The option to enable caching of LDAP requests with the LDAP server.
`boolean` | `isFollowReferrals()` The option to enable automatic following of referrals within the LDAP directory.
`boolean` | `isSSLEnabled()` The option to enable SSL when connecting to the LDAP server.
`void` | `setBindAnonymouslyOnReferrals(boolean newValue)` The option to enable anonymous binding when following referrals within the LDAP directory.
`void` | `setCacheEnabled(boolean newValue)` The option to enable caching of LDAP requests with the LDAP server.
`void` | `setCacheSize(int newValue)` The size of the cache in K.
`void` | `setCacheTTL(int newValue)` The time-to-live (TTL) of the cache in seconds.
`void` | `setConnectionRetryLimit(int newValue)` Number of Times Server should try to establish a connection if LDAP Throws Exception while creating a LDAP Connection.
`void` | `setConnectTimeout(int newValue)` The maximum number of seconds to wait for the LDAP connection to be established.
`void` | `setCredential(java.lang.String newValue)` The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`void` | `setFollowReferrals(boolean newValue)` The option to enable automatic following of referrals within the LDAP directory.
`void` | `setHost(java.lang.String newValue)` The host name or IP address of the LDAP server.
`void` | `setParallelConnectDelay(int newValue)` The number of seconds to delay when making concurrent attempts to connect to multiple servers.
`void` | `setPort(int newValue)` The port number on which the LDAP server is listening.
`void` | `setPrincipal(java.lang.String newValue)` The Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.
`void` | `setResultsTimeLimit(int newValue)` The maximum number of milliseconds to wait for results before timing out.
`void` | `setSSLEnabled(boolean newValue)` The option to enable SSL when connecting to the LDAP server.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag, wls_instanceOf`

Method Detail

### getHost

    public java.lang.String getHost()

  The host name or IP address of the LDAP server.

  Default Value: "localhost"
  Legal NULL: true

### setHost

    public void setHost(java.lang.String newValue)
                 throws javax.management.InvalidAttributeValueException

  The host name or IP address of the LDAP server.

  Default Value: "localhost"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Host
  Throws:
    javax.management.InvalidAttributeValueException -

### getPort

    public int getPort()

  The port number on which the LDAP server is listening.

  Default Value: new java.lang.Integer(389)
  Legal NULL: true
  Legal Minimum Value: 1
  Legal Maximum Value: 65534

### setPort

    public void setPort(int newValue)
                 throws javax.management.InvalidAttributeValueException

  The port number on which the LDAP server is listening.

  Default Value: new java.lang.Integer(389)
  Legal NULL: true
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  Parameters:
    `newValue` - - new value for attribute Port
  Throws:
    javax.management.InvalidAttributeValueException -

### isSSLEnabled

    public boolean isSSLEnabled()

  The option to enable SSL when connecting to the LDAP server.

  Default Value: new java.lang.Boolean(false)
  Legal NULL: true

### setSSLEnabled

    public void setSSLEnabled(boolean newValue)
                       throws javax.management.InvalidAttributeValueException

  The option to enable SSL when connecting to the LDAP server.

  Default Value: new java.lang.Boolean(false)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute SSLEnabled
  Throws:
    javax.management.InvalidAttributeValueException -

### getPrincipal

    public java.lang.String getPrincipal()

  The Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.

  Legal NULL: true

### setPrincipal

    public void setPrincipal(java.lang.String newValue)
                      throws javax.management.InvalidAttributeValueException

  The Distinguished Name (DN) of the LDAP user that is used by WebLogic Server to connect to the LDAP server.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Principal
  Throws:
    javax.management.InvalidAttributeValueException -

### getCredential

    public java.lang.String getCredential()

  The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Legal NULL: true

### setCredential

    public void setCredential(java.lang.String newValue)
                       throws javax.management.InvalidAttributeValueException

  The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Credential
  Throws:
    javax.management.InvalidAttributeValueException -

### isCacheEnabled

    public boolean isCacheEnabled()

  The option to enable caching of LDAP requests with the LDAP server.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setCacheEnabled

    public void setCacheEnabled(boolean newValue)
                         throws javax.management.InvalidAttributeValueException

  The option to enable caching of LDAP requests with the LDAP server.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute CacheEnabled
  Throws:
    javax.management.InvalidAttributeValueException -

### getCacheSize

    public int getCacheSize()

  The size of the cache in K.

  Default Value: new java.lang.Integer(32)
  Legal NULL: true
  Legal Minimum Value: 0

### setCacheSize

    public void setCacheSize(int newValue)
                      throws javax.management.InvalidAttributeValueException

  The size of the cache in K.

  Default Value: new java.lang.Integer(32)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute CacheSize
  Throws:
    javax.management.InvalidAttributeValueException -

### getCacheTTL

    public int getCacheTTL()

  The time-to-live (TTL) of the cache in seconds.

  Default Value: new java.lang.Integer(60)
  Legal NULL: true
  Legal Minimum Value: 0

### setCacheTTL

    public void setCacheTTL(int newValue)
                     throws javax.management.InvalidAttributeValueException

  The time-to-live (TTL) of the cache in seconds.

  Default Value: new java.lang.Integer(60)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute CacheTTL
  Throws:
    javax.management.InvalidAttributeValueException -

### isFollowReferrals

    public boolean isFollowReferrals()

  The option to enable automatic following of referrals within the LDAP directory. If set to false, then a Referral exception will be thrown when referrals are encountered during LDAP requests.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setFollowReferrals

    public void setFollowReferrals(boolean newValue)
                            throws javax.management.InvalidAttributeValueException

  The option to enable automatic following of referrals within the LDAP directory. If set to false, then a Referral exception will be thrown when referrals are encountered during LDAP requests.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute FollowReferrals
  Throws:
    javax.management.InvalidAttributeValueException -

### isBindAnonymouslyOnReferrals

    public boolean isBindAnonymouslyOnReferrals()

  The option to enable anonymous binding when following referrals within the LDAP directory. If set to false, then the current Principal and Credential will be used.

  Default Value: new java.lang.Boolean(false)
  Legal NULL: true

### setBindAnonymouslyOnReferrals

    public void setBindAnonymouslyOnReferrals(boolean newValue)
                                       throws javax.management.InvalidAttributeValueException

  The option to enable anonymous binding when following referrals within the LDAP directory. If set to false, then the current Principal and Credential will be used.

  Default Value: new java.lang.Boolean(false)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute BindAnonymouslyOnReferrals
  Throws:
    javax.management.InvalidAttributeValueException -

### getResultsTimeLimit

    public int getResultsTimeLimit()

  The maximum number of milliseconds to wait for results before timing out. If set to 0, there is no maximum time limit.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true

### setResultsTimeLimit

    public void setResultsTimeLimit(int newValue)
                             throws javax.management.InvalidAttributeValueException

  The maximum number of milliseconds to wait for results before timing out. If set to 0, there is no maximum time limit.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute ResultsTimeLimit
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectTimeout

    public int getConnectTimeout()

  The maximum number of seconds to wait for the LDAP connection to be established. If set to 0, there is no maximum time limit.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true

### setConnectTimeout

    public void setConnectTimeout(int newValue)
                           throws javax.management.InvalidAttributeValueException

  The maximum number of seconds to wait for the LDAP connection to be established. If set to 0, there is no maximum time limit.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute ConnectTimeout
  Throws:
    javax.management.InvalidAttributeValueException -

### getParallelConnectDelay

    public int getParallelConnectDelay()

  The number of seconds to delay when making concurrent attempts to connect to multiple servers. If set to 0, connection attempts are serialized. An attempt is made to connect to the first server in the list. The next entry in the list is tried only if the attempt to connect to the current host fails. This might cause your application to block for unacceptably long time if a host is down. If set to greater than 0, another connection setup thread is started after this number of delay seconds has passed.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true

### setParallelConnectDelay

    public void setParallelConnectDelay(int newValue)
                                 throws javax.management.InvalidAttributeValueException

  The number of seconds to delay when making concurrent attempts to connect to multiple servers. If set to 0, connection attempts are serialized. An attempt is made to connect to the first server in the list. The next entry in the list is tried only if the attempt to connect to the current host fails. This might cause your application to block for unacceptably long time if a host is down. If set to greater than 0, another connection setup thread is started after this number of delay seconds has passed.

  Default Value: new java.lang.Integer(0)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute ParallelConnectDelay
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectionRetryLimit

    public int getConnectionRetryLimit()

  Number of Times Server should try to establish a connection if LDAP Throws Exception while creating a LDAP Connection.

  Default Value: new java.lang.Integer(1)
  Legal NULL: true
  Legal Minimum Value: 1

### setConnectionRetryLimit

    public void setConnectionRetryLimit(int newValue)
                                 throws javax.management.InvalidAttributeValueException

  Number of Times Server should try to establish a connection if LDAP Throws Exception while creating a LDAP Connection.

  Default Value: new java.lang.Integer(1)
  Legal NULL: true
  Legal Minimum Value: 1
  Parameters:
    `newValue` - - new value for attribute ConnectionRetryLimit
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD